
# Poco Xml
#

include $(CLEAR_VARS)


LOCAL_MODULE        :=  PocoXml

LOCAL_PATH          :=  $(call my-dir)/src

LOCAL_CFLAGS        :=  -DFoundation_Config_INCLUDED \
                        -D__arm \
                        -DPOCO_OS_FAMILY_UNIX \
                        -DPOCO_THREAD_STACK_SIZE \
                        -DPOCO_NO_FPENVIRONMENT \
                        -DPOCO_NO_SHAREDMEMORY \
                        -DPOCO_NO_WSTRING \
                        -D_THREAD_SAFE \
                        -D_REENTRANT \
                        -D_BSD_SOURCE \
                        -D_XOPEN_SOURCE=500 \
                        -DHAVE_EXPAT_CONFIG_H

LOCAL_CPPFLAGS   :=     -frtti -fexceptions

LOCAL_C_INCLUDES :=     $(call my-dir)/include \
                        $(call my-dir)/../Foundation/include


LOCAL_SRC_FILES := \
    AbstractContainerNode.cpp \
    AbstractNode.cpp \
    Attr.cpp \
    Attributes.cpp \
    AttributesImpl.cpp \
    AttrMap.cpp \
    CDATASection.cpp \
    CharacterData.cpp \
    ChildNodesList.cpp \
    Comment.cpp \
    ContentHandler.cpp \
    DeclHandler.cpp \
    DefaultHandler.cpp \
    Document.cpp \
    DocumentEvent.cpp \
    DocumentFragment.cpp \
    DocumentType.cpp \
    DOMBuilder.cpp \
    DOMException.cpp \
    DOMImplementation.cpp \
    DOMObject.cpp \
    DOMParser.cpp \
    DOMSerializer.cpp \
    DOMWriter.cpp \
    DTDHandler.cpp \
    DTDMap.cpp \
    Element.cpp \
    ElementsByTagNameList.cpp \
    Entity.cpp \
    EntityReference.cpp \
    EntityResolver.cpp \
    EntityResolverImpl.cpp \
    ErrorHandler.cpp \
    Event.cpp \
    EventDispatcher.cpp \
    EventException.cpp \
    EventListener.cpp \
    EventTarget.cpp \
    InputSource.cpp \
    LexicalHandler.cpp \
    Locator.cpp \
    LocatorImpl.cpp \
    MutationEvent.cpp \
    Name.cpp \
    NamedNodeMap.cpp \
    NamePool.cpp \
    NamespaceStrategy.cpp \
    NamespaceSupport.cpp \
    Node.cpp \
    NodeAppender.cpp \
    NodeFilter.cpp \
    NodeIterator.cpp \
    NodeList.cpp \
    Notation.cpp \
    ParserEngine.cpp \
    ProcessingInstruction.cpp \
    SAXException.cpp \
    SAXParser.cpp \
    Text.cpp \
    TreeWalker.cpp \
    WhitespaceFilter.cpp \
    XMLException.cpp \
    XMLFilter.cpp \
    XMLFilterImpl.cpp \
    xmlparse.cpp \
    XMLReader.cpp \
    xmlrole.c \
    XMLString.cpp \
    xmltok.c \
    xmltok_impl.c \
    xmltok_ns.c \
    XMLWriter.cpp
    

include $(BUILD_STATIC_LIBRARY)
